//---------------------------------------------------------------------------
#ifndef mainfrmH
#define mainfrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "SDL_NumIO.hpp"
#include "SDL_NumLab.hpp"
#include "SDL_polchart.hpp"
/********************** set-up of include pathes ****************************
Please note: you have to set up the pathes to the include files before
this sample program can be compiled:
Use the command "Project/Options", select the "Directories/Conditional"
tab, and add the required packages to the "include path"

example:
   if you installed the packages into the default directory, the
   include path for the BasePack will be: "C:\SDLSuite\basepack\C6"

More information can be found in the following FAQ article:
   http://forum.sdlsuite.com/read.php?f=2&i=21&t=21
*****************************************************************************/
//---------------------------------------------------------------------------
class TFrmPolChart : public TForm
{
__published:    // IDE-managed Components
    TPanel *Panel1;
    TPolChart *PC;
    TRadioGroup *RGUseDeg;
    TRadioGroup *RGRotDir;
    TLabel *Label1;
    TScrollBar *SBarMag;
    TLabel *Label2;
    TScrollBar *SBarRangeHigh;
    TLabel *Label6;
    TScrollBar *SBarRangeLow;
    TNumIO *NIORayAngle;
    TLabel *Label3;
    TLabel *Label5;
    TNumLab *NLabAngleOffs;
    TScrollBar *SBarAngleOffs;
    TRadioGroup *RGAngLabelMode;
    TRadioGroup *RGRadLabels;
    TRadioGroup *RGCrossHair;
    TRadioGroup *RGGridRad;
    TRadioGroup *RGGridAng;
    TNumLab *NLabRad;
    TEdit *EdUnitsRad;
    TNumLab *NLabPhi;
    TEdit *EdUnitsAng;
    TPopupMenu *PopupMenu1;
    TMenuItem *PopMenNoMouseAct;
    TMenuItem *Reset1;
    TMenuItem *Pan1;
    TMenuItem *Zoom1;
    TMenuItem *DragLabels1;
    void __fastcall SBarMagChange(TObject *Sender);
    void __fastcall SBarRangeHighChange(TObject *Sender);
    void __fastcall SBarRangeLowChange(TObject *Sender);
    void __fastcall NIORayAngleChange(TObject *Sender);
    void __fastcall SBarAngleOffsChange(TObject *Sender);
    void __fastcall RGAngLabelModeClick(TObject *Sender);
    void __fastcall RGUseDegClick(TObject *Sender);
    void __fastcall RGRotDirClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall PCZoomPan(TObject *Sender);
    void __fastcall PCMouseMoveInChart(TObject *Sender, bool InChart,
          TShiftState Shift, double rad, double phi);
    void __fastcall Pan1Click(TObject *Sender);
    void __fastcall Reset1Click(TObject *Sender);
    void __fastcall Zoom1Click(TObject *Sender);
    void __fastcall DragLabels1Click(TObject *Sender);
    void __fastcall PopMenNoMouseActClick(TObject *Sender);
    void __fastcall PCBeforeDrawScaleLabel(TObject *Sender,
          TCanvas *&Canvas, TpcScaleKind ScaleType,
          AnsiString &CurrentTickLabel, int ChartX, int ChartY);
    void __fastcall RGCrossHairClick(TObject *Sender);
    void __fastcall RGRadLabelsClick(TObject *Sender);
    void __fastcall RGGridRadClick(TObject *Sender);
    void __fastcall RGGridAngClick(TObject *Sender);
    void __fastcall EdUnitsAngChange(TObject *Sender);
private:        // User declarations
    void __fastcall DrawData();
public:         // User declarations
    __fastcall TFrmPolChart(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmPolChart *FrmPolChart;
//---------------------------------------------------------------------------
#endif
